gnomevfs.Volume
Prev | The gnomevfs class reference | Next

## gnomevfs.Volume

gnomevfs.Volume — Abstraction for a mounted file system or network location

## Synopsis

    class gnomevfs.Volume(gobject.GObject):
        def get_activation_uri()
        def get_device_path()
        def get_device_type()
        def get_display_name()
        def get_drive()
        def get_filesystem_type()
        def get_hal_udi()
        def get_icon()
        def get_id()
        def get_volume_type()
        def handles_trash()
        def is_read_only()
        def is_mounted()
        def is_user_visible()
        def eject(callback, user_data=None)
        def unmount(callback, user_data=None)

## Ancestry

    +-- gobject.GObject
      +-- gnomevfs.Volume

## Methods

### gnomevfs.Volume.get_activation_uri

                def get_activation_uri()

Returns: |

### gnomevfs.Volume.get_device_path

                def get_device_path()

Returns: |

### gnomevfs.Volume.get_device_type

                def get_device_type()

Returns: |

### gnomevfs.Volume.get_display_name

                def get_display_name()

Returns: |

### gnomevfs.Volume.get_drive

                def get_drive()

Returns: | A gnomevfs.Drive for this volume.

### gnomevfs.Volume.get_filesystem_type

                def get_filesystem_type()

Returns: |

### gnomevfs.Volume.get_hal_udi

                def get_hal_udi()

Returns: |

### gnomevfs.Volume.get_icon

                def get_icon()

Returns: |

### gnomevfs.Volume.get_id

                def get_id()

Returns: |

### gnomevfs.Volume.get_volume_type

                def get_volume_type()

Returns: |

### gnomevfs.Volume.handles_trash

                def handles_trash()

Returns: |

### gnomevfs.Volume.is_read_only

                def is_read_only()

Returns: | True if this volume is read-only

### gnomevfs.Volume.is_mounted

                def is_mounted()

Returns: | True if this volume is mounted

### gnomevfs.Volume.is_user_visible

                def is_user_visible()

Returns: | True if this volume is visible to the user

### gnomevfs.Volume.eject

                def eject(callback, user_data=None)

### gnomevfs.Volume.unmount

                def unmount(callback, user_data=None)

Prev | Up | Next
gnomevfs.URI | Home | gnomevfs Functions